Skip to content
Start here

List Custom Origin Trust Store Details

client.acm.customTrustStore.list(CustomTrustStoreListParams { zone_id, limit, offset, 2 more } params, RequestOptionsoptions?): V4PagePaginationArray<CustomTrustStore { id, certificate, expires_on, 5 more } >
GET/zones/{zone_id}/acm/custom_trust_store

Get Custom Origin Trust Store for a Zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
params: CustomTrustStoreListParams { zone_id, limit, offset, 2 more }
zone_id: string

Path param: Identifier.

maxLength32
limit?: number

Query param: Limit to the number of records returned.

offset?: number

Query param: Offset the results

page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Number of records per page.

maximum50
minimum5
ReturnsExpand Collapse
CustomTrustStore { id, certificate, expires_on, 5 more }
id: string

Identifier.

maxLength32
certificate: string

The zone's SSL certificate or certificate and the intermediate(s).

expires_on: string

When the certificate expires.

formatdate-time
issuer: string

The certificate authority that issued the certificate.

signature: string

The type of hash used for the certificate.

status: "initializing" | "pending_deployment" | "active" | 3 more

Status of the zone's custom SSL.

One of the following:
"initializing"
"pending_deployment"
"active"
"pending_deletion"
"deleted"
"expired"
updated_at: string

When the certificate was last modified.

formatdate-time
uploaded_on: string

When the certificate was uploaded to Cloudflare.

formatdate-time

List Custom Origin Trust Store Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const customTrustStore of client.acm.customTrustStore.list({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(customTrustStore.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "certificate": "-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIJAPnMg0Fs+/B0MA0GCSqGSIb3DQEBCwUAMFsx...\n-----END CERTIFICATE-----\n",
      "expires_on": "2122-10-29T16:59:47Z",
      "issuer": "GlobalSign",
      "signature": "SHA256WithRSA",
      "status": "active",
      "updated_at": "2014-01-01T05:20:00Z",
      "uploaded_on": "2014-01-01T05:20:00Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "certificate": "-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIJAPnMg0Fs+/B0MA0GCSqGSIb3DQEBCwUAMFsx...\n-----END CERTIFICATE-----\n",
      "expires_on": "2122-10-29T16:59:47Z",
      "issuer": "GlobalSign",
      "signature": "SHA256WithRSA",
      "status": "active",
      "updated_at": "2014-01-01T05:20:00Z",
      "uploaded_on": "2014-01-01T05:20:00Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}